Bug 501507 - rubygem-daemons is out of date
rubygem-daemons is out of date
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rubygem-daemons (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Scott Seago
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraOnXO
  Show dependency treegraph
 
Reported: 2009-05-19 10:22 EDT by Daniel Drake
Modified: 2009-12-15 20:20 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.0.10-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-15 20:20:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cvs changes for F-9 (1.82 KB, patch)
2009-05-19 10:59 EDT, Daniel Drake
no flags Details | Diff

  None (edit)
Description Daniel Drake 2009-05-19 10:22:33 EDT
The rubygem-daemons package is out of date, currently at v1.0.7. There are newer minor releases available:
http://daemons.rubyforge.org/files/Releases.html

v1.0.7 includes a bug (or some very silly behaviour) where it will not detect stale pid-files... this means that no daemon based on this package can survive a power outage or crash. v1.0.10 fixes this.

If possible, would like to see this update backported as far as F-9 (and can help with this) as this is what we have deployed on the OLPC school servers here in paraguay. Thanks!
Comment 1 Daniel Drake 2009-05-19 10:59:14 EDT
Created attachment 344630 [details]
cvs changes for F-9

tested and working fine
scratch build here http://koji.fedoraproject.org/koji/taskinfo?taskID=1363204
Comment 2 Bug Zapper 2009-06-09 12:06:40 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora Update System 2009-07-23 17:34:19 EDT
rubygem-daemons-1.0.10-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rubygem-daemons-1.0.10-1.fc11
Comment 4 Scott Seago 2009-07-23 17:44:09 EDT
Hi.

I've submitted updates For F-10 and F-11. I can't submit an F-9 update as it's past F9 EOL.
Comment 5 Fedora Update System 2009-07-24 15:38:11 EDT
rubygem-daemons-1.0.10-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rubygem-daemons'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7978
Comment 6 Bug Zapper 2009-11-16 04:59:41 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Peter Robinson 2009-12-10 10:04:50 EST
(In reply to comment #4)
> Hi.
> 
> I've submitted updates For F-10 and F-11. I can't submit an F-9 update as it's
> past F9 EOL.  

Any reason this hasn't been pushed to stable?
Comment 8 Scott Seago 2009-12-11 11:01:08 EST
Normally packages get pushed automatically to stable after they've been given karma by users who have tested them. This package never got any feedback in updates-testing, so it didn't automatically move.

I just marked these packages as stable, so they should get updated shortly.
Comment 9 Fedora Update System 2009-12-15 20:20:12 EST
rubygem-daemons-1.0.10-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.